SYN-3 - Enterprise Linux

  • Vergroot lettergrootte
  • Standaard lettergrootte
  • Verklein lettergrootte
Nieuws
Blijf op de hoogte door u aan te melden op onze mailing lijst.

SYN-3 sourcecode beschikbaar

Tot nu toe had DatuX  een interne ontwikkel omgeving en een online Opensyn3 ontwikkel omgeving. Deze online omgeving werd helaas niet vaak bijgewerkt omdat dit te onpraktisch bleek in de praktijk. (bovendien bevatte de interne omgeving nog code van derden)

We hebben dit nu veranderd: Alle ontwikkeling vind nu alleen nog maar online plaats. Verder gebruiken we nu GIT in plaats van SVN voor versie beheer.

Iedere wijziging aan de SYN-3 broncode zal dus meteen online beschikbaar zijn.

Hierdoor word het makkelijker voor derde partijen om mee te ontwikkelen aan SYN-3 of om eigen aanpassingen te maken aan SYN-3.

Technische informatie vind u hier: http://open.syn3.nl/syn3/trac/default/wiki/SynBuild

 

Versie 5.0 beta1 nu beschikbaar

Na lang werken is het dan zo ver: De volgende grote release van SYN-3 is beschikbaar.

We bevelen aan om deze versie alvast te gebruiken voor nieuwe productie omgevingen: De reden dan we dit een BETA versie noemen is omdat de installer nog niet getest is op een grote variatie aan hardware en virtuele omgevingen.

Als de installatie eenmaal gelukt is zal de rest namelijk stabiel en zonder problemen werken.

Lees verder om meer te lezen over de vernieuwingen.

 

Lees meer...
 

Windows 10 op SYN-3 domain controller

De wiki is zojuist geupdate met een volledige howto over het aanmelden van een Windows 10 client op een SYN-3 domain controller.

Ook recentelijke problemen met de netlogon worden hier mee opgelost.

Kijk voor meer informatie op onze wiki.

 

Blokkering Cryptolockers (.zip files) via mail

De laatste tijd krijgen we regelmatig klachten van klanten dat er veel .zip files binnen komen met daarin javascript bestanden.

Dit zijn zogenaamde Cryptolockers. De mail-virus scanner kan hier niet mee overweg omdat deze scripts steeds anders zijn en automatisch gegenereerd worden. (het script zelf is namelijk een simpele downloader voor de echte Cryptolocker software)

Voor SYN-3 versie 4.5.6 is nu een update beschikbaar die alle mails met .js bestanden blokkeert. (ook als deze bijvoorbeeld in een .zip file zitten)


 

Voice server installatie problemen verholpen

We hebben een aanpassing gemaakt in FreePBX waardoor de SYN-3 voice-server installatie weer goed werkt.

SYN-3 installeert normaal gesproken alle standaard FreePBX modulen. De ontwikkelaars van FreePBX hadden echter een niet-werkende module toegevoegd. (cxpanel) Hierdoor ging het installeren mis en kreeg men een witte pagina bij het openen van de FreePBX pagina.

We hebben dit permanent opgelost door alleen een vaste set modulen te installeren die veel door onze klanten gebruikt worden. De andere modulen kunt u uiteraard zelf installeren via FreePBX mocht dat nodig zijn.

Klanten met deze problemen word aanbevolen te upgraden naar SYN-3 versie 4.5.6.

 

Zabbix monitoring in SYN-3

Vanaf nu is het mogelijk uw SYN-3 server nog beter te monitoren via ons Zabbix monitoring platform:

  • Zabbix is vele malen uitgebreider dan de standaard SYN-3 monitoring
  • Bij een storing op uw server ontvangt u hiervan een notificatie via e-mail, bij een escalatie krijgt u ook een notificatie via SMS
  • U kunt grafieken en statistieken van uw servers genereren SLA uptime monitoring
  • Medewerkers kunnen alerts bevestigen en hier commentaar bijzetten
  • Slechts 5 euro per maand per server (inclusief SMS dienst)
  • Mogelijkheden om (periodieke) onderhoudstijden in te stellen. Hiermee voorkomt u false alerts tijdens nachtelijke jobs.

Het Zabbix monitoring platform is via de SYN-3 shop aan te schaffen voor SYN-3 versie 4.5.2 en hoger.

 

OpenVPN support in SYN-3 versie 5

Vanaf SYN-3 versie 5 heeft SYN-3 volledige OpenVPN support.

Hiermee is het mogelijk om uw laptop via het internet op een veilige en eenvoudige manier met uw kantoornetwerk te verbinden. Dit is een toevoeging op de al bestaande Windows PPTP support in SYN-3.

SYN-3 bevat volledige Certificate Authority voor het beheer van uw SSL-certificaten. Dit is veiliger dan simpele password authenticatie zoals dat onder andere bij Windows PPTP het geval is. Bovendien geeft OpenVPN minder problemen met bepaalde type routers en modems.

OpenVPN word ondersteund op zeer veel systemen zoals: Linux, Windows, Mac OS X,  iPhones, Android tablets en telefoons.

 

Nieuwe Zarafa client

De komende jaren wordt de Zarafa Outlook-client uitgefaseerd en vervangen door een nieuwe native Deskapp client.

De community is bezig met een systeem om Z-Push aan Outlook te verbinden. Hierdoor blijft het mogelijk om toch nog gebruik te blijven maken van Outlook en Zarafa.

Uitgebreide details en planning hierover vindt u hier: http://www.zarafa.com/how-zarafa-wants-to-solve-user-challenges-with-a-new-client-strategy/

 

 

Zarafa performance verbeteringen

In de komende versie zullen er een aantal grondige verbeteringen in Zarafa met betrekking tot performance.

Deze wijzigingen zijn met name van belang voor bepaalde heavy-duty users van SYN-3. (honderden gebruikers of mailboxen met honderduizenden mails.)

De caching-parameters van Zarafa zijn aangepast voor modern gebruik. Mysql zal worden geupgrade naar versie 5.6 (vanaf 5.0). Ook de parameters van deze nieuwe mysql versie zijn speciaal getuned om de performance van Zarafa ten goede te komen.

Deze updates zullen in de shop binnenkort beschikbaar zijn onder versie 4.5.3 en hoger. Door de manier waarop mysql-upgrades werken, is het nodig om te upgraden in stappen: Van mysql 5.0 naar 5.1 naar 5.5 naar 5.6. Iedere stap kost slechts een paar minuten. Wel is het belangrijk om te zorgen dat u een recente backup hebt.

 

Security updates voor bash CVE-2014-6271, CVE-2014-7169 en CVE-2014-7186.

Er is een security fix beschikbaar voor de volgende bash-bugs: CVE-2014-6271, CVE-2014-7169 en CVE-2014-7186.

Deze fix is beschikbaar voor SYN-3 versie 4.4.3 en hoger. Het is van belang dat u deze fixes zo snel mogelijk installeert.

Meer details:

Security issue CVE-2014-7187 (http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-7187) is nog niet gefixed, maar deze is niet remote exploitable in SYN-3.

DatuX

 

Grote upgrades in 4.5.x

De afgelopen maanden hebben we hard gewerkt aan een aantal nodige grote updates voor SYN-3.

Inmiddels draaien een aantal van deze updates succesvol in productie bij een aantal klanten van ons.

Hier een kort overzicht:

  • In SYN-3 versie 4.5: Een nieuwe versie van Zarafa met vele verbeteringen. Zarafa gaat vanaf versie 6.x naar Zarafa 7.1.9. De belangijkste is volledige unicode support waardoor klanten die in het chinees of japans communiceren ook geholpen kunnen worden.  Dit is een update met grote impact: Het upgrade process kan uren duren omdat de hele database geconverteerd moet worden. Het word aangeraden eerst een backup uit te voeren en dan de upgrade te starten op een vrijdag na 17 uur. Bij databases van 20Gb kan de upgrade meer dan 10 uur duren. De upgrade draait inmiddels bij meerdere klanten in productie. (in de shop laten we hem nog iets langer in het test-stadium staan)
  • In SYN-3 versie 4.5.1: Upgrade vanaf linux 2.6.27.x naar 3.4.x. Deze upgrade is met name nodig voor de ondersteuning van nieuwere hardware. Hier zal ook een nieuwe installatie CD voor komen. De upgrade kan zonder problemen worden uitgevoerd: Werkt deze niet dan kan gereboot worden met de oudere kernel.
  • In SYN-3 versie 4.5.2: Upgrade vanaf asterisk 1.4 naar 1.8 met nieuwste freepbx. Alle modules in freepbx worden automatisch geupgrade en geinstaleerd. Voor nieuwe installaties word het aanbevolen meteen naar deze versie te upgraden, alvorens te beginnen met het configureren van FreePBX. Bestaande installaties bevelen we aan nog te wachten met upgraden totdat we meer upgrade-tests gedaan hebben.
DatuX
 


JPAGE_CURRENT_OF_TOTAL

Blijf op de hoogte


Problemen of vragen? Bel dan met de Syn-3 support lijn: 0591 677867